Bug 1627403 - python-drat: Remove packages from Fedora 30+: python2-drat
Summary: python-drat: Remove packages from Fedora 30+: python2-drat
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-drat
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-10 15:34 UTC by Miro Hrončok
Modified: 2018-09-12 09:26 UTC (History)
7 users (show)

Fixed In Version: python-drat-0.4.2-16.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 09:26:33 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-10 15:34:34 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-drat were marked for removal:

 * python2-drat

According to our query, those packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Parag Nemade 2018-09-12 05:00:00 UTC
I have no idea what will happen to the already existing python2-drat binary rpm package because newer build will not generate it. Will the f30 repo still contain old python3-drat rpm?

Comment 2 Miro Hrončok 2018-09-12 09:13:49 UTC
(In reply to Parag Nemade from comment #1)
> I have no idea what will happen to the already existing python2-drat binary
> rpm package because newer build will not generate it.

It will stay on systems where it is already installed. If there's an issue, obsolete it from fedora-obsolete-packages.


> Will the f30 repo still contain old python3-drat rpm?

If you mean python2-drat, the answer is no.

Comment 3 Parag Nemade 2018-09-12 09:26:33 UTC
Thank you Miro and thanks to Igor as well who helped with more fixes now.

Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.